JUCE: BlockConfigManager::ConfigDescription Struct Reference

JUCE

Public Member Functions | Public Attributes | List of all members
BlockConfigManager::ConfigDescription Struct Reference

Structure describing a configuration. More...

## Public Member Functions
Block::ConfigMetaData | toConfigMetaData () const

## Public Attributes
ConfigItemId | item
int32 | value
int32 | min
int32 | max
bool | isActive
const char * | name
ConfigType | type
const char * | optionNames [configMaxOptions]
const char * | group

## Detailed Description

Structure describing a configuration.

## Member Function Documentation

## ◆ toConfigMetaData()

Block::ConfigMetaData BlockConfigManager::ConfigDescription::toConfigMetaData | ( |  | ) | const

References max(), and min().

Referenced by BlockConfigManager::getMetaData().

## Member Data Documentation

## ◆ item

ConfigItemId BlockConfigManager::ConfigDescription::item

## ◆ value

int32 BlockConfigManager::ConfigDescription::value

Referenced by BlockConfigManager::getItemValue(), BlockConfigManager::handleConfigSetMessage(), BlockConfigManager::handleConfigUpdateMessage(), and BlockConfigManager::setItemValue().

## ◆ min

int32 BlockConfigManager::ConfigDescription::min

Referenced by BlockConfigManager::getItemMin(), BlockConfigManager::handleConfigUpdateMessage(), and BlockConfigManager::setItemMin().

## ◆ max

int32 BlockConfigManager::ConfigDescription::max

Referenced by BlockConfigManager::getItemMax(), BlockConfigManager::handleConfigUpdateMessage(), and BlockConfigManager::setItemMax().

## ◆ isActive

bool BlockConfigManager::ConfigDescription::isActive

Referenced by BlockConfigManager::getItemActive(), BlockConfigManager::handleConfigUpdateMessage(), and BlockConfigManager::setItemActive().

## ◆ name

const char* BlockConfigManager::ConfigDescription::name

## ◆ type

ConfigType BlockConfigManager::ConfigDescription::type

## ◆ optionNames

const char* BlockConfigManager::ConfigDescription::optionNames[configMaxOptions]

Referenced by BlockConfigManager::getOptionName().

## ◆ group

const char* BlockConfigManager::ConfigDescription::group

The documentation for this struct was generated from the following file:

- juce_BlockConfigManager.h